<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Laporan Realisasi Dana
        <small>Form</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Transaksi</li>
        <li class="active"> Laporan Realisasi Dana</li>
    </ol>
</section>

<section layout:fragment="main" class="content">
    <div class="row">

        <div class="col-md-6">
            <!-- Horizontal Form -->
            <div class="box box-info">
                <div class="box-header with-border">
                    <h3 class="box-title">Form Laporan Realisasi dana</h3>
                </div>

                <form class="form-horizontal" th:action="@{/transaksi/laporandana/rev}" th:object="${laporanDana}" method="post" enctype="multipart/form-data">

                    <div class="box-body no-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-success box-solid">
                                    <div class="box-header with-border">
                                        <div class="col-md-6">
                                            <span class="info-box-text">Detail Pencairan</span>
                                        </div>
                                        <div class="col-md-6" align="right">
                                            <span class="time" th:text="${#temporals.format(pencairanDanaDetail.pencairanDana.tanggalPencairan,'dd-MMM-yyyy hh:mm:ss a')}"></span>
                                        </div>
                                    </div>
                                    <!-- /.box-header -->
                                    <div class="box-body">
                                        <div class="col-md-2">
                                            <img class="img-thumbnail" th:src="@{/pencairandanacair/{pencairanDana}/bukti/(pencairanDana = ${pencairanDanaDetail.pencairanDana.id})}" alt="Attachment Image">
                                        </div>

                                        <div class="col-md-10">
                                            <div class="box box-success">
                                                <div class="box-body">
                                                    <span class="info-box-text" th:text="${pencairanDanaDetail.pencairanDana.keterangan}">Bookmarks</span>
                                                    <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(pencairanDanaDetail.pencairanDana.nominalPencairan, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="box-body no-padding">
                        <div class="row">
                            <div class="col-md-12">
                                <div class="box box-success box-solid">
                                    <div class="box-header with-border">
                                        <div class="col-md-6">
                                            <span class="info-box-text">Detail Pengajuan</span>
                                        </div>
                                    </div>
                                    <!-- /.box-header -->
                                    <div class="box-body">
                                        <div class="row">
                                            <div class="col-md-2">
                                                <img class="img-thumbnail" th:src="@{/pengajuandana/{pengajuanDana}/bukti/(pengajuanDana = ${pencairanDanaDetail.pengajuanDana.id})}" alt="Attachment Image">
                                            </div>

                                            <div class="col-md-10">
                                                <div class="box box-success">
                                                    <div class="box-body">
                                                        <span class="info-box-text" th:text="${pencairanDanaDetail.pengajuanDana.deskripsiBiaya}">Bookmarks</span>
                                                        <span class="info-box-number" th:text="${'Rp. ' + #numbers.formatDecimal(pencairanDanaDetail.pengajuanDana.jumlah, 0, 'POINT', 2, 'COMMA')}">41,410</span>
                                                    </div>
                                                </div>
                                            </div>

                                            <div class="col-md-12">
                                                <div class="form-group">
                                                    <label for="jumlah" class="col-sm-2 control-label">Realisasi</label>

                                                    <div class="col-sm-10">
                                                        <input type="text" class="form-control" th:field="*{jumlah}" name="jumlah" id="jumlah" placeholder="0.00">
                                                        <p th:if="${#fields.hasErrors('jumlah')}" th:errors="*{jumlah}" class="text-danger"> Nominal Pelaporan</p>
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label for="deskripsi" class="col-sm-2 control-label">Deskripsi</label>

                                                    <div class="col-sm-10">
                                                        <textarea class="form-control" rows="3" th:field="*{deskripsi}" name="deskripsi" id="deskripsi" placeholder="Deskripsi ..."></textarea>
                                                    </div>
                                                </div>

                                                <div class="form-group">
                                                    <label for="lampiran" class="col-sm-2 control-label">File_Upload</label>

                                                    <div class="col-sm-10">
                                                        <input type="file" name="files" id="lampiran" accept="image/jpeg,mage/jpg,image/gif,image/png,application/pdf,image/x-eps">

                                                        <p class="help-block">Upload file Invoice Atau tagihan pembayaran lain nya jika diperlukan.</p>
                                                    </div>
                                                </div>


                                                <input type="hidden" name="id" th:field="*{id}">

                                                <input type="hidden" th:value="${pencairanDanaDetail.id}" class="flat-red" name="pencairanDanaDetail">

                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="box-footer">

                        <a th:href="@{/transaksi/pengajuandana/laporan}" class="btn btn-default">Cancel</a>
                        <button type="submit" class="btn btn-info pull-right" id="simpan">Save</button>

                    </div>
                    <!-- /.box-footer -->
                </form>
            </div>
        </div>
    </div>
</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('yyyy-mm-dd', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalPenerimaan').datepicker({
                autoclose: true, locale: { format: 'YYYY-MM-DD' }
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
</section>
</body>
</html>